summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Martin Lefebvre <dadexter@sekurity.com>2010-05-11 20:02:03 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:02:03 +0200
commitfce259cdc46047da7f40c2d1c6e91af293674a85 (patch)
tree05e771c258a81d287fa1720fc1fb5b54c79db8a0
parent4fd7a6d9d4346a0ea09895a4fd991b4f68541825 (diff)
downloadslackbuilds-fce259cdc46047da7f40c2d1c6e91af293674a85.tar.gz
slackbuilds-fce259cdc46047da7f40c2d1c6e91af293674a85.tar.xz
system/motion: Added to 12.0 repository
-rw-r--r--system/motion/README12
-rw-r--r--system/motion/doinst.sh15
-rw-r--r--system/motion/motion.SlackBuild85
-rw-r--r--system/motion/motion.info8
-rw-r--r--system/motion/slack-desc19
5 files changed, 139 insertions, 0 deletions
diff --git a/system/motion/README b/system/motion/README
new file mode 100644
index 0000000000..7c55c24da9
--- /dev/null
+++ b/system/motion/README
@@ -0,0 +1,12 @@
+Motion is a program that monitors the video signal from one or more
+cameras and is able to detect if a significant part of the picture
+has changed. Or in other words, it can detect motion.
+
+Motion is a command line based tool. It has no graphical user
+interface. Everything is setup via the command line or via a set of
+configuration files.
+
+Optional dependencies are ffmpeg and postgresql.
+
+Once installed, please be sure to read /usr/doc/motion-3.2.9/README for
+any configuration help.
diff --git a/system/motion/doinst.sh b/system/motion/doinst.sh
new file mode 100644
index 0000000000..282b54a44c
--- /dev/null
+++ b/system/motion/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/motion-dist.conf.new
+
diff --git a/system/motion/motion.SlackBuild b/system/motion/motion.SlackBuild
new file mode 100644
index 0000000000..7ce2f12f99
--- /dev/null
+++ b/system/motion/motion.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for motion
+
+# Copyright 2007 Martin Lefebvre <dadexter@sekurity.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=motion
+VERSION=3.2.9
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -zxvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+find . -type d -exec chmod 0755 {} \;
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --localstatedir=/var
+
+make
+make install DESTDIR=$PKG
+strip --strip-unneeded $PKG/usr/bin/motion
+
+if [ -d $PKG/usr/man ]; then
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+fi
+
+# Let's not clobber the config file
+mv $PKG/etc/motion-dist.conf $PKG/etc/motion-dist.conf.new
+
+mv $PKG/usr/share/doc $PKG/usr/doc
+rmdir $PKG/usr/share # We moved the docs from there
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/motion/motion.info b/system/motion/motion.info
new file mode 100644
index 0000000000..76d33681ca
--- /dev/null
+++ b/system/motion/motion.info
@@ -0,0 +1,8 @@
+PRGNAM="motion"
+VERSION="3.2.9"
+HOMEPAGE="http://www.lavrsen.dk/twiki/bin/view/Motion/WebHome"
+DOWNLOAD="http://downloads.sourceforge.net/motion/motion-3.2.9.tar.gz"
+MD5SUM="6003011b126c9b17e23e085e7fba6536"
+MAINTAINER="Martin Lefebvre"
+EMAIL="dadexter@sekurity.com"
+APPROVED="rworkman"
diff --git a/system/motion/slack-desc b/system/motion/slack-desc
new file mode 100644
index 0000000000..067c33941e
--- /dev/null
+++ b/system/motion/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+motion: motion (software motion detector)
+motion:
+motion: Motion is a program that monitors the video signal from one or
+motion: more cameras and is able to detect if a significant part of the
+motion: picture has changed. Or in other words, it can detect motion.
+motion:
+motion: Motion is a command line based tool. It has no graphical user
+motion: interface. Everything is setup via the command line or via a set
+motion: of configuration files.
+motion:
+motion: